Description

| was testing if | had correct expression for the relative velocity when entering a sphere of influence when | encountered this bug.
Namely | put a craft in orbit around Kerbin with similar orbital elements as the Mun, with the only difference that its semi-major axis
was different, but the difference was smaller that the sphere of influence of the Mun. So this craft will eventually encounter the Mun.
When the orbit was higher that that of the Mun the SOI change went as expected, but when the orbit was lower than that of the Mun
then the craft was teleported to an entirely different position relative to the Mun. Here is a video demonstration of this:
https://www.youtube.com/watch?v=c3lgSr41YUQ

| also tested it on a few moons around Jool and on Kerbin, while initially in orbit around the sun. It also seems that this teleportation
only happens when using time warp (so while on rails), since without time warp or with physics warp then the SOI change goes as
suspected.

PS: | have only tested this on a windows computer in KSP 1.0.4

Related issues:
Related to Kerbal Space Program - Bug #5205: Ship on clean Laythe intercept c... Updated 07/02/2015

History

#1 - 09/07/2015 11:27 PM - RexKramer

- Status changed from New to Need More Info

Couple of questions.

First, are you able to reproduce this on a stock install?

Also, in the video, what level is your Tracking Station? | ask this because the SOI encounter was not predicted on the map. That would be normal for
a level 1 TS (not upgraded), but would be unusual for an upgraded TS. There is another bug where the game is not able to predict SOl encounters
under certain conditions, and what you observed could be related to that.

It looks like you had 50X warp, have you noticed the issue occurring at other warp factors?

#2 - 09/08/2015 01:06 AM - fibonatic

| tested this in sandbox mode, so fully upgrades KSC and therefore KSP is indeed also not able to predict the encounter. But | wanted to limit this bug
report only to the teleportation.

| also tested this at different timewarp rates, with similar results, so | think it is just due to the facts that the craft is on rails, which causes an incorrect
transformation of orbital elements during SOI change.

Tomorrow | will be able to test this again on another computer (will also use a fresh stock install).
#3 - 09/08/2015 04:06 AM - RexKramer
I haven't been able to duplicate in a stock install yet, so please report back if you are able to.

For those interested in testing this, fibonatic's video shows a Kerbin PE 8,972,993 and AP 8,973,244, which is pretty close to the boundary of Mun's
SOl.

| managed to get (predicted) intercepts at ~8,971,200. | did see some strange behavior when my orbit was nearly circular, including constantly
increasing AP while sitting still at PE and not on rails. | attribute this to rounding issues, which are known to exist in the game.
https://www.youtube.com/watch?v=c3IgSr4IYU0

A few more questions to clarify-

1. Did you observe the teleportation effect in the vicinity of other bodies, or just Mun?
2. Have you observed the effect when your orbit is outside the Mun's (or other body), or only when your orbit is inside the Mun's as depicted in your
video?

Finally, your output_log.txt file (player.log on OSX) may be helpful. A good time to grab that would be shortly after a teleportation event. Instructions

on locating your output_log.txt file can be found here: http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki
Guide

#4 - 09/08/2015 04:21 AM - RexKramer
- Related to Bug #5205: Ship on clean Laythe intercept crashes to Tylo added

#5 - 09/08/2015 11:42 AM - rudi1291

- File quicksave.sfs added

| tested it on a stock linux install and was unable to reproduce this. | was orbiting inside the muns orbit arround kerbin without predicted intercept like
fibonatic and the mun captured me. The attached quicksave was made just before the encounter.

#6 - 09/22/2015 09:58 PM - Kasuha
- File screenshot175.png added
- File screenshot176.png added
- File screenshot177.png added

| tested it in stock and experienced no teleportation. After loading the quicksave, | had to time warp for about 8 minutes - things started happening at
34d, 01:08:30 MET.

First the ship entered the "nowhereland" where the game is undecided whether the ship is inside or outside the SOI - that can be almost always
observed when exiting the SO, this is the first time | saw it when entering.

Then the ship entered "normal" orbit inside the SOI.

Of course that "nowhereland” is a bug (unrelated to #5205 & comp.). The ship is affected by gravity as if it is inside the SOI, its orbit is calculated as if
it is inside the SOI but only the orbit's part outside the SOl is drawn, followed by SOI entry. Also navball is oriented as if the ship is not inside the SOI.

| also believe the fact that the SOI intersection is not visible is not related to #5205, it is a separate bug. In #5205 the trajectory makes deep cut into
the SOI, there is no dispute whether it intersects it or not. In this case the trajectory is barely touching the SOI and it is possible that it does not
actually intersect it - but the part of the code that evaluates distance from Mun decides it is close enough and forces SOl switch. The "nowhereland"
might be caused by that - one evaluation method says the ship is inside the SOI, the other says it is outside.

#7 - 07/17/2016 09:39 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

Files

quicksave.sfs 50.6 KB 09/08/2015 rudi1291
screenshot175.png 301 KB 09/22/2015 Kasuha
screenshot176.png 328 KB 09/22/2015 Kasuha
screenshot177.png 307 KB 09/22/2015 Kasuha
